libxft-dev_2.3.2-2_amd64.deb


Advertisement

Description

libxft-dev - FreeType-based font drawing library for X (development files)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libxft-dev_2.3.2-2_amd64.deb
Package name libxft-dev
Package version 2.3.2
Package release 2
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage -
License -
Maintainer Debian X Strike Force <debian-x@lists.debian.org>
Download size 67.05 KB
Installed size 198.00 KB
Xft provides a client-side font API for X applications, making the FreeType
font rasterizer available to X clients.  Fontconfig is used for font
specification resolution.  Where available, the RENDER extension handles
glyph drawing; otherwise, the core X protocol is used.
This package provides a static library and C header files.

Alternatives

Package Version Architecture Repository
libxft-dev_2.3.2-2_i386.deb 2.3.2 i386 Debian Main
libxft-dev - - -

Requires

Name Value
libc-dev -
libc6-dev -
libfontconfig1-dev -
libfreetype6-dev -
libx11-dev >= 2:1.0.0
libxft2 = 2.3.2-2
libxrender-dev -
libz-dev -
zlib1g-dev -

Provides

Name Value
libxft2-dev -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxft-dev_2.3.2-2_amd64.deb
Source Package xft

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxft-dev deb package:
    # sudo apt-get install libxft-dev

Files

Path
/usr/include/X11/Xft/Xft.h
/usr/include/X11/Xft/XftCompat.h
/usr/lib/x86_64-linux-gnu/libXft.a
/usr/lib/x86_64-linux-gnu/libXft.so
/usr/lib/x86_64-linux-gnu/pkgconfig/xft.pc
/usr/share/doc/libxft-dev/changelog.Debian.gz
/usr/share/doc/libxft-dev/changelog.gz
/usr/share/doc/libxft-dev/copyright
/usr/share/man/man3/Xft.3.gz

Changelog

2018-04-17 - Emilio Pozuelo Monfort <pochu@debian.org>
xft (2.3.2-2) unstable; urgency=medium
[ Julien Cristau ]
* Use https URL in debian/watch.
* Update packaging VCS URL for move to salsa.
[ Cyril Brulebois ]
* Remove myself from Uploaders (Closes: #889301).
[ Emilio Pozuelo Monfort ]
* Mark libxft-dev Multi-Arch: same. Thanks Hugh McMaster for the
patch. (Closes: #884176).
* Specify source format.
* Switch to automatic -dbgsym packages.
* debian/README.source: dropped, we no longer use xsfbs.
* Bump the debhelper compat to 11.
- parallel builds and autoreconf enabled by default.
- --disable-silent-rules automatically passed by debhelper.
* Switch to dh_missing and enable fail-missing.
2014-07-13 - Julien Cristau <jcristau@debian.org>
xft (2.3.2-1) unstable; urgency=medium
* New upstream release.
* Rewrite debian/rules using dh, bump compat level to 9, drop xsfbs.
2014-01-18 - Julien Cristau <jcristau@debian.org>
xft (2.3.1-2) unstable; urgency=medium
* Fix FTBFS with freetype 2.5.1 (closes: #733385).
2012-06-16 - Cyril Brulebois <kibi@debian.org>
xft (2.3.1-1) unstable; urgency=low
* New upstream release:
- Subpixel LCD text rendering improvements (Closes: #641197).
2011-06-12 - Julien Cristau <jcristau@debian.org>
xft (2.2.0-3) unstable; urgency=low
* Team upload.
[ Steve Langasek ]
* Build for multiarch.
[ Julien Cristau ]
* Add build-indep and build-arch d/rules targets.
* Bump Standards-Version to 3.9.2.
2011-02-10 - Julien Cristau <jcristau@debian.org>
xft (2.2.0-2) unstable; urgency=low
* Remove Andres Salomon and David Nusinow from Uploaders.  Thanks for your
work!
* Parse DEB_BUILD_OPTIONS with $(filter ..), not $(findstring ..).
* Drop obsolete Conflicts on libxft2-dev and xlibs-dev.
* Bump Standards-Version to 3.9.1.
* Upload to unstable.
2011-01-14 - Cyril Brulebois <kibi@debian.org>
xft (2.2.0-1) experimental; urgency=low
* New upstream release:
- Remove obsolete xft-config script.
* Adapt libxft-dev.install accordingly.
* Remove RCS tag in debian/copyright.
* Bump xutils-dev build-dep for new macros.
* Drop 001_no_export_freetype.diff, merged upstream.
2010-03-11 - Cyril Brulebois <kibi@debian.org>
xft (2.1.14-2) unstable; urgency=low
[ Julien Cristau ]
* Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
good reason.  Thanks, Colin Watson!
* Remove myself from Uploaders
[ Cyril Brulebois ]
* Add udeb needed for the graphical installer: libxft2-udeb.
* Version/Bump some B-D to make sure the udeb gets its dependencies on
the (recently-added) udebs rather than on the libraries:
- libx11-dev
- libxrender-dev
* Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
* Add ${misc:Depends} to non-udeb binaries, and wrap Depends.
* Add myself to Uploaders.
2009-12-03 - Julien Cristau <jcristau@debian.org>
xft (2.1.14-1) unstable; urgency=low
[ Timo Aaltonen ]
* New upstream release.
* Bump the build-dep on xutils-dev (>= 1:7.5~1).
* Bump Standards-Version to 3.8.3 (README.source added).
* Drop pre-dependency on x11-common from libxft-dev. This was needed
for upgrades from sarge.
* Move -dbg package to section debug.
2009-02-15 - Julien Cristau <jcristau@debian.org>
xft (2.1.13-3) unstable; urgency=low
* Upload to unstable.

See Also

Package Description
libxft2_2.3.2-2_amd64.deb FreeType-based font drawing library for X
libxgks-dev_2.6.1+dfsg.2-5+b1_amd64.deb X11 Graphical Kernel Subsystem, development files
libxgks2-data_2.6.1+dfsg.2-5_all.deb Font files for the X11 Graphical Kernel Subsystem
libxgks2_2.6.1+dfsg.2-5+b1_amd64.deb X11 Graphical Kernel Subsystem, library
libxi-dev_1.7.9-1_amd64.deb X11 Input extension library (development headers)
libxi6_1.7.9-1_amd64.deb X11 Input extension library
libxine2-all-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for all plugins
libxine2-bin_1.2.9-1+b2_amd64.deb xine video/media player library – binary files
libxine2-console_1.2.9-1+b2_amd64.deb libaa/libcaca/framebuffer/directfb related plugins for libxine2
libxine2-dev_1.2.9-1+b2_amd64.deb xine video player library – development packages
libxine2-doc_1.2.9-1_all.deb xine video player library – documentation files
libxine2-ffmpeg_1.2.9-1+b2_amd64.deb MPEG-related plugins for libxine2
libxine2-gnome_1.2.9-1+b2_amd64.deb GNOME-related plugins for libxine2
libxine2-misc-plugins_1.2.9-1+b2_amd64.deb Input, audio output and post plugins for libxine2
libxine2-plugins_1.2.9-1_all.deb xine video/media player library ‒ metapackage for commonly-used plugins
Advertisement
Advertisement